@ECHO off

SET path_ref=reference
SET path_name=name
SET file_channels=channels.cfg
SET file_log=%0.log
SET extension=png

IF NOT EXIST "%path_ref%" (
  ECHO directory "%path_ref%" does not exist, exiting ...
  ECHO.
  PAUSE
  EXIT
)

IF NOT EXIST "%path_name%" (
  MKDIR "%path_name%"
)

FOR /f "tokens=1,2,* delims=; eol=#" %%a IN (%file_channels%) DO (
  ECHO "%path_ref%\%%b.%extension%" ^> "%path_name%\%%a.%extension%" >> %file_log%
  COPY "%path_ref%\%%b.%extension%" "%path_name%\%%a.%extension%" >> %file_log%
  ECHO. >> %file_log%
)

TYPE %file_log%

PAUSE